%global oname ModemManager
%global _exclude_files_from_autoprov ^%{_libdir}/%{oname}/.*\\.so$

Summary:	Mobile broadband modem management service
Summary(de):	Mobile Breitband Modemmanagment Service
Name:		modemmanager
Version:	1.18.12
Release:	%mkrel 1
Source:		http://www.freedesktop.org/software/ModemManager/%{oname}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Configuration/Networking
URL:		https://www.freedesktop.org/wiki/Software/ModemManager/
BuildRoot:	%defaultbuildroot
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	lib64girepository-devel
BuildRequires:	lib64glib2.0_0-devel
BuildRequires:	lib64gudev1.0-devel
BuildRequires:	lib64mbim-glib-devel
BuildRequires:	lib64vala-devel
BuildRequires:  xsltproc
Requires:	ppp
Requires:	usb_modeswitch

%description
The ModemManager service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%description -l de
Der ModemManager Service bietet eine konstante API zum betreiben der verschiedenen
Modems, inklusive Mobile Breitband (3G) Geräte.

%package devel
Summary:	Libraries and headers for adding ModemManager support to applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains various headers for accessing some ModemManager functionality
from applications.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x \
  --enable-more-warnings=no \
  --with-udev-base-dir=/lib/udev \
  --enable-gtk-doc=no \
  --with-polkit=yes \
  --disable-static \
  --without-qmi \
  --with-systemdsystemunitdir=no

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool  
  
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -name "*.la" -delete
%find_lang %{oname}

%files -f %{oname}.lang
%defattr(-,root,root)
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.%{oname}1.conf
/lib/udev/rules.d/*
%{_bindir}/mmcli
%{_libdir}/girepository-1.0/%{oname}-1.0.typelib
%{_libdir}/libmm-glib.so.*
%{_libdir}/%{oname}
%{_sbindir}/%{oname}
%{_datadir}/bash-completion/completions/mmcli
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.%{oname}1.service
%{_datadir}/gir-1.0/%{oname}-1.0.gir
%{_datadir}/vala/vapi/libmm-glib.*
%{_iconsdir}/hicolor/22x22/apps/%{oname}.png
%{_mandir}/man1/mmcli.1.bz2
%{_mandir}/man8/*
%{_datadir}/polkit-1/actions/org.freedesktop.ModemManager1.policy
%{_datadir}/ModemManager/mm-foxconn-t77w968-carrier-mapping.conf
#%{_datadir}/ModemManager/mm-foxconn-t99w175-carrier-mapping.conf
%{_datadir}/ModemManager/fcc-unlock.available.d/
%{_datadir}/ModemManager/connection.available.d/99-log-event

%files devel
%defattr(-,root,root)
%{_includedir}/libmm-glib
%{_includedir}/%{oname}/*.h
%{_libdir}/libmm-glib.so
%{_libdir}/pkgconfig/mm-glib.pc
%{_libdir}/pkgconfig/%{oname}.pc

%clean
%__rm -rf %{buildroot}

%changelog
* Wed Nov 16 2022 tex - 1.18.12-1pclos2022
- new version

* Thu Jun 30 2022 tex - 1.18.10-1pclos2022
- new version

* Mon May 02 2022 tex - 1.18.8-1pclos2022
- new version

* Sat Feb 12 2022 tex - 1.18.6-1pclos2022
- new version

* Sun Nov 28 2021 tex - 1.18.4-1pclos2021
- new version

* Mon Sep 13 2021 tex - 1.18.0-1pclos2021
- new version

* Fri Jul 23 2021 tex - 1.16.8-1pclos2021
- new version

* Mon Jun 07 2021 tex - 1.16.6-1pclos2021
- new version

* Sat May 22 2021 tex - 1.14.10-2pclos2021
- add polkit=yes

* Sun Jan 17 2021 tex - 1.14.10-1pclos2021
- new version

* Sun Sep 29 2019 onkelho <oh.quait at gmail.com> 1.10.6-1pclos2019
- new ver-rel

* Fri Jun 07 2019 onkelho <oh.quait at gmail.com> 1.10.0-1pclos2019
- new ver-rel

* Wed Jul 04 2018 onkelho <oh.quait at gmail.com> -1.8.0-1pclos2018
- new version from 2018-06-02 update

* Sat Apr 01 2017 bb2 <bb2> - 1.6.4-1pclos2017
- new version

* Fri Apr 08 2016 marcin82 <marcin82 at vp.pl> 1.5.991-1pclos2016
- bugfix update: https://bugs.freedesktop.org/show_bug.cgi?id=94664

* Tue Mar 22 2016 marcin82 <marcin82 at vp.pl> 1.5.990-1pclos2016
- update
- updated %%url and source code url, changes in BR
- added %%_exclude_files_from_autoprov macro

